part of 'home_card.dart';

class _CardImage extends StatelessWidget {
  final String imageUrl;

  const _CardImage(this.imageUrl);

  @override
  Widget build(BuildContext context) {
    return ClipRRect(
      borderRadius: const BorderRadius.only(
        bottomLeft: Radius.circular(20),
        topLeft: Radius.circular(20),
      ),
      child: SizedBox(
        height: double.infinity,
        width: 115,
        child: Image.network(
          imageUrl,
          fit: BoxFit.cover,
          errorBuilder: (_, __, ___) => const Placeholder(),
        ),
      ),
    );
  }
}
