part of 'home_page.dart';

class _HomePageError extends StatelessWidget {
  const _HomePageError();

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<HomeBloc, HomeState>(
        builder: (context, state) => Visibility(
              visible: state.error != null,
              child: Padding(
                padding: const EdgeInsets.only(right: 16, left: 16),
                child: Text(
                  state.error ?? '',
                  style: Theme.of(context)
                      .textTheme
                      .headlineSmall
                      ?.copyWith(color: Colors.red),
                ),
              ),
            ));
  }
}
